Ingest Single Event
curl --request POST \
--url https://api.example.com/v1/ingest/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "<string>",
"title": "<string>",
"asset_refs": [
"<string>"
],
"connector_id": "<string>",
"engine_eligible": true,
"external_url": "<string>",
"metadata": {},
"narrative": "",
"occurred_at": "<string>",
"occurred_at_source": "occurred",
"remediation_history": {
"interim_patch": false,
"prior_fix_refs": [
"<string>"
],
"prior_flag": false
},
"severity": "p3",
"source": "custom_api",
"structured_attrs": {},
"team": "<string>"
}
'import requests
url = "https://api.example.com/v1/ingest/events"
payload = {
"external_id": "<string>",
"title": "<string>",
"asset_refs": ["<string>"],
"connector_id": "<string>",
"engine_eligible": True,
"external_url": "<string>",
"metadata": {},
"narrative": "",
"occurred_at": "<string>",
"occurred_at_source": "occurred",
"remediation_history": {
"interim_patch": False,
"prior_fix_refs": ["<string>"],
"prior_flag": False
},
"severity": "p3",
"source": "custom_api",
"structured_attrs": {},
"team": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: '<string>',
title: '<string>',
asset_refs: ['<string>'],
connector_id: '<string>',
engine_eligible: true,
external_url: '<string>',
metadata: {},
narrative: '',
occurred_at: '<string>',
occurred_at_source: 'occurred',
remediation_history: {interim_patch: false, prior_fix_refs: ['<string>'], prior_flag: false},
severity: 'p3',
source: 'custom_api',
structured_attrs: {},
team: '<string>'
})
};
fetch('https://api.example.com/v1/ingest/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}ingest
Ingest Single Event
Single raw signal push. Returns 202 with the created issue_id.
POST
/
v1
/
ingest
/
events
Ingest Single Event
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Replaced v2 ingest contract (spec §3): occurred_at required, narrative renames body. One shape — used verbatim for single-event ingest, batch records, and source-specific issue ingest.
Minimum string length:
1Required string length:
1 - 300Available options:
occurred, logged_at Show child attributes
Show child attributes
Available options:
p1, p2, p3, p4 Response
Successful Response
The response is of type Response Ingest Single Event V1 Ingest Events Post · object.
⌘I